<?php

namespace pbgroupeu\stacer_eu\Repository;

use Doctrine\ORM\Query\ResultSetMapping;
use pbgroupeu\stacer_eu\Entity\User;

/**
 * UserRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class UserRepository extends \Doctrine\ORM\EntityRepository
{
  /**
     * Total User
     *
     * @return array
   */
  public function getTotalUsers(): array
  {

    $emn = $this->getEntityManager();

    $qbd = $emn->createQueryBuilder();
    $qbd->select('COUNT (u.id) AS totalUsers')
      ->from(User::class, 'u');

    return $qbd->getQuery()->getResult();
  }
}
